/* atoi - konverzija niske karaktera u ceo broj */
#include <stdio.h>
#include <ctype.h>

unsigned atoi(char s[]) {
  unsigned v = 0, i;
  /* Na ASCII sistemima isdigit(c) je ekvivalentno sa:
     '0' <= c && c <= '9'. Ipak, preporucuje se koriscenje 
     funkcija iz <ctype.h>*/
  for (i = 0;  isdigit(s[i]); i++) 
    v = v * 10 + (s[i] - '0');
  return v;
}

int main() {
  char s[] = "1234abc";
  printf("Vrednost niske %s je %d\n", s, atoi(s));
  return 0;
}

/* Vezba: dopuniti funkciju tako da u obzir uzima i znak broja. */
